Package com.avaya.clientservices.call

## Enum CallDenialReason

- java.lang.Object
- - java.lang.Enum<CallDenialReason>
  - - com.avaya.clientservices.call.CallDenialReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallDenialReason>`

      public enum CallDenialReason
      extends java.lang.Enum<CallDenialReason>

  Session denial reasons.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUSY` | User busy on another call.
    `DECLINE` | User declined the call.
    `FORBIDDEN` | User not reachable.
    `TEMPORARILY_UNAVAILABLE` | User not available.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallDenialReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallDenialReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORBIDDEN

          public static final CallDenialReason FORBIDDEN

      User not reachable.

    - #### TEMPORARILY_UNAVAILABLE

          public static final CallDenialReason TEMPORARILY_UNAVAILABLE

      User not available.

    - #### BUSY

          public static final CallDenialReason BUSY

      User busy on another call.

    - #### DECLINE

          public static final CallDenialReason DECLINE

      User declined the call.

  - ### Method Detail

    - #### values

          public static CallDenialReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallDenialReason c : CallDenialReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallDenialReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null